All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.net.ssl
Class SSLRMIConfigurationException

    com.sas.net.ssl.SSLRMIConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class SSLRMIConfigurationException

Exception that describes an invalid SSL RMI configuration.

## Debugging SSL

Interactions with the JSSE API may be debugged using by defining the system property `javax.net.debug`.

Since:
  9.1.3
See Also:
  Serialized Form

Constructor Summary
`SSLRMIConfigurationException(java.lang.String message)` Constructs an SSL RMI exception using the specified message.
`SSLRMIConfigurationException(java.lang.String message, java.lang.Throwable throwable)` Constructs an SSL RMI exception using the specified message and throwable.
`SSLRMIConfigurationException(java.lang.Throwable throwable)` Constructs an SSL RMI exception using the specified throwable.

Method Summary
`java.lang.Throwable` | `getCause()` Gets this exception's cause or `null` if a cause is not defined.

Constructor Detail

### SSLRMIConfigurationException

    public SSLRMIConfigurationException(java.lang.String message)

  Constructs an SSL RMI exception using the specified message.

  Parameters:
    `message` - Message detailing the exception.

### SSLRMIConfigurationException

    public SSLRMIConfigurationException(java.lang.String message,
                                        java.lang.Throwable throwable)

  Constructs an SSL RMI exception using the specified message and throwable.

  Parameters:
    `message` - Message detailing the exception.
    `throwable` - The throwable that caused this exception.

### SSLRMIConfigurationException

    public SSLRMIConfigurationException(java.lang.Throwable throwable)

  Constructs an SSL RMI exception using the specified throwable.

  Parameters:
    `throwable` - The throwable that caused this exception.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Gets this exception's cause or `null` if a cause is not defined.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    Throwable that caused this exception or `null` if no cause is available.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.